//
//  SurveyTask.swift
//  RK-Setup-Git
//
//  Created by Gerardo Marx Chávez Campos on 11/10/24.
//

import ResearchKit

struct SurveyTaskProvider {
    
    static func createHeightFormTask() -> ORKOrderedTask {
        
        let sectionHeaderFormItem = ORKFormItem(sectionTitle: "What's your height?")
        let heightQuestionFormItem = ORKFormItem(identifier: "heightQuestionFormItem1", text: nil, answerFormat: ORKAnswerFormat.heightAnswerFormat())
        
        heightQuestionFormItem.placeholder = "Tap here"
        
        let formStep = ORKFormStep(identifier: "HeighQuestionIdentifier", 
                                   title: "Height info",
                                   text: "Please answer the questions")
        
        formStep.formItems = [sectionHeaderFormItem, heightQuestionFormItem]
        
        return ORKOrderedTask(identifier: "Survey Task", steps: [formStep])
    }
}
